CiderWebmail::Controller::Root(3pm)

NAME
CiderWebmail::Controller::Root - Root Controller for CiderWebmail

DESCRIPTION
[enter your description here]

METHODS

  auto
Only logged in users may use this product.

  login
Login action. Private action that auto forwards to so we can prepend it do a login on any URI and on successful login show the requested page.

  logout
Logout action: drops the current session and logs out the user. Redirects to / so we can start a new session.

  index
Redirect to the INBOX view

  mailboxes
Lists the folders of this user. Used by AJAX to update the folder tree.

  create_folder
Create a top level folder

  error
Display an error message found on the stash

  render
Attempt to render a view, if needed.

  end
Cleanup after a request is rendered

AUTHOR
Stefan Seifert Mathias Reitinger <mathias.reitinger@loop0.org>

LICENSE
This library is free software, you can redistribute it and/or modify it under the same terms as Perl itself.